// Load global styles
import './index.css';
// Load foundations
import React from 'react';
import ReactDOM from 'react-dom/client';
import { BrowserRouter, Route, Routes } from 'react-router-dom';
import Layout from './Layout';
import EstimWatchProvider from './context/EstimContext';
import Device from './pages/Device';
import PatternEditor from './pages/PatternEditor';
import PatternLibrary from './pages/PatternLibrary';
import PlayControl from './pages/Play';
import Settings from './pages/Settings';

ReactDOM.createRoot(document.getElementById('root') as HTMLElement).render(
  <React.StrictMode>
    <EstimWatchProvider>
      <BrowserRouter>
        <Routes>
          <Route path="/" element={<Layout />}>
            <Route index element={<Device />} />
            <Route path="/play" element={<PlayControl />} />
            <Route path="/library" element={<PatternLibrary />} />
            <Route path="/pattern-editor" element={<PatternEditor />} />
            <Route path="/settings" element={<Settings />} />
          </Route>
        </Routes>
      </BrowserRouter>
    </EstimWatchProvider>
  </React.StrictMode>,
);
